Bug 1123467 - ksh crashes because job locking mechanism does not survive compiler optimization
Summary: ksh crashes because job locking mechanism does not survive compiler optimization
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: ksh
Version: 6.5
Hardware: x86_64
OS: Linux
urgent
high
Target Milestone: rc
: ---
Assignee: Michal Hlavinka
QA Contact: Martin Kyral
URL:
Whiteboard:
Depends On: 1112306 1160749
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-25 18:41 UTC by Jan Kurik
Modified: 2018-12-06 17:28 UTC (History)
10 users (show)

Fixed In Version: ksh-20120801-10.el6_5.8
Doc Type: Bug Fix
Doc Text:
Prior to this update, the compiler optimization dropped parts from the ksh job locking mechanism from the binary code. As a consequence, ksh could terminate unexpectedly with a segmentation fault after it received the SIGCHLD signal. This update implements a fix to ensure the compiler does not drop parts of the ksh mechanism and the crash no longer occurs.
Clone Of: 1112306
Environment:
Last Closed: 2014-08-06 08:48:51 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2014:1015 normal SHIPPED_LIVE ksh bug fix update 2014-08-06 12:48:40 UTC

Description Jan Kurik 2014-07-25 18:41:53 UTC
This bug has been copied from bug #1112306 and has been proposed
to be backported to 6.5 z-stream (EUS).

Comment 6 errata-xmlrpc 2014-08-06 08:48:51 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2014-1015.html


Note You need to log in before you can comment on or make changes to this bug.